#ifndef ROBOTCOMUNNICATION_GUI_H
#define ROBOTCOMUNNICATION_GUI_H

#include <QDialog>
#include <QMessageBox>
#include <iostream>

#include "libs/tcpc/tcpc_defs.h"
#include "libs/robot/staubli.h"

namespace Ui {
class RobotComunnication_gui;
}

class RobotComunnication_gui : public QDialog
{
    Q_OBJECT

public:
    explicit RobotComunnication_gui(ri::Staubli* interface);
    ~RobotComunnication_gui();

private slots:
    void on_button_Connect_clicked();

    void on_button_Disconnect_clicked();

private:
    std::vector<uint8_t> getAddress();

    Ui::RobotComunnication_gui *ui;
    ri::Staubli& interface;
};

#endif // ROBOTCOMUNNICATION_GUI_H
